const fs = require('fs');
const serveStatic = require('serve-static');

const swagpi = (app, config) => {
	let apiPath = config.path || '/api';
	const staticPath = `${__dirname}/public`;
	if (typeof config.config === 'string') {
		config.config = fs.readFileSync(config.config);
	}
	app.get(`${apiPath}/config.js`, (req, res) => {
		res.setHeader('content-type', 'text/javascript');
		res.send(`const config = ${JSON.stringify(config.config)}`);
	});
	let logoPath = config.logo;
	let logoCSS = config.css;
	let logoFilename = String(logoPath).replace(/\\/g, '/').split('/');
	logoFilename = logoFilename[logoFilename.length - 1];
	app.get(`${apiPath}/css/extra.css`, function(req, res) {
		res.send(logoCSS);
	});
	app.use(`${apiPath}/${logoFilename}`, serveStatic(logoPath));
	app.use(apiPath, serveStatic(staticPath));
}

module.exports = swagpi;