
const buildRoute = (item) => {
	let route = item.route;
	let body = {};
	for (const name in item.params) {
		let param = item.params[name];
		if (param.value) {
			route = String(route).replace(`:${name}`, param.value);
		}
	}
	if (item.verb === 'GET') {
		route += '?';
		for (const name in item.queries) {
			let query = item.queries[name];
			if (query.value) {
				route += `${name}=${query.value}&`;
			}
		}
	}
	if (item.verb !== 'GET') {
		for (const name in item.queries) {
			let query = item.queries[name];
			if (query.value) {
				body[name] = query.value;
			}
		}
	}
	route = route.replace(/&$/g, '');
	route = route.replace(/\?$/g, '');
	return {
		url: route,
		body,
		verb: item.verb
	};
}
