
const runQuery = (route) => {
	function render(data, status, xhr) {
		data = JSON.stringify(data, null, '  ');
		let statusClass = (xhr.status === 200) ? 'good' : 'bad';
		let block = $(`
			<div>
				<div class='results-header'>
					${route.verb} ${route.url}<br>
					<pre class='body-pre language-json'>${JSON.stringify(route.body, null, '  ')}</pre>
					<div class='divider'></div>
					<span class='${statusClass}'>${xhr.status} ${xhr.statusText || ''}</span>
				</div>
				<pre class='main'><code></code></pre>
			</div>`
		);
		let code = block.find('code');
		code.addClass('language-json').append(data);
		$('.results').html(block);
		Prism.highlightElement(code.get(0));
		Prism.highlightElement(block.find('.body-pre').get(0));
	}

	let xhr = $.ajax({
		type: route.verb,
		url: route.url,
		data: route.body,
		success(data, status, xhr) {
			render(data, status, xhr);
		},
		error(err, status, xhr) {
			let data;
			try {
				data = JSON.parse(err.responseText);
			} catch(e) {
				data = err.responseText;
			}
			render(data, status, err);
		}
	});
}
